# Edit path public access

| **Description** | Update the public access of a path |
| --------------- | ---------------------------------- |
| **Endpoint**    | `/path/{pathId}/publicAccess`      |
| **Method**      | PATCH                              |

### Access Level Rules

| **Minimum Access Level** | edit+ |
| ------------------------ | ----- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="312">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the path to change the public access of.</td><td>true</td><td></td></tr><tr><td><code>accessTier</code></td><td>The new public access level of the path. Must be one of 'view' or 'view+'.</td><td>false</td><td>Default null.</td></tr><tr><td><code>processingUnits</code></td><td>An integer with the new number of processing units that can be used to access the path publicly.</td><td>false</td><td>Default null.</td></tr><tr><td><code>hidden</code></td><td>Boolean whether the path should be hidden from the search.</td><td>false</td><td>Default null.</td></tr><tr><td><code>geoFence</code></td><td>JSON with properties "tiles", "removeTiles", "maxZoom" and "removeMaxZoom" describing the geofence used when publicly viewing the path. 'tiles' is an array of JSONs with properties "tileX", "tileY" and "zoom" as  integers describing the geographic tiles the access token can access and "maxZoom" is an integer describing the maximum zoom level the access token can access.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path/edit-path-public-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
